Save Activity As Workflow
curl --request POST \
--url https://catalogapi.rastro.ai/api/public/catalogs/{catalog_id}/activities/{activity_id}/save-workflow \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_name": "<string>",
"workflow_description": "<string>",
"python_code": "<string>",
"attachments": [
{}
],
"timeout_seconds": 120
}
'import requests
url = "https://catalogapi.rastro.ai/api/public/catalogs/{catalog_id}/activities/{activity_id}/save-workflow"
payload = {
"workflow_name": "<string>",
"workflow_description": "<string>",
"python_code": "<string>",
"attachments": [{}],
"timeout_seconds": 120
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflow_name: '<string>',
workflow_description: '<string>',
python_code: '<string>',
attachments: [{}],
timeout_seconds: 120
})
};
fetch('https://catalogapi.rastro.ai/api/public/catalogs/{catalog_id}/activities/{activity_id}/save-workflow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Catalog Activities
Save Activity As Workflow
Create a reusable workflow template from an activity’s transform context.
POST
/
public
/
catalogs
/
{catalog_id}
/
activities
/
{activity_id}
/
save-workflow
Save Activity As Workflow
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Workflow name
Workflow description
Optional custom Python code override for custom_code node
Optional attachment metadata to persist on workflow/nodes
Execution timeout for custom code node
Required range:
1 <= x <= 1800Response
Successful Response
⌘I